Package org.italiangrid.voms.credential

# Class UserCredentials

java.lang.Object
org.italiangrid.voms.credential.UserCredentials

public class UserCredentials extends Object
This class implements convenience methods to load X509 user credentials in PEM or PKCS12 format.

Author:
  Andrea Ceccanti

## Constructor Summary

Constructors
Constructor
Description
`UserCredentials()`

## Method Summary

Modifier and Type
Method
Description
`static eu.emi.security.authn.x509.X509Credential`
`loadCredentials()`
`static eu.emi.security.authn.x509.X509Credential`
`loadCredentials(char[] keyPassword)`
`static eu.emi.security.authn.x509.X509Credential`
`loadCredentials(eu.emi.security.authn.x509.helpers.PasswordSupplier passwordFinder)`
`static void`
`setLoadCredentialsStrategy(LoadCredentialsStrategy strategy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserCredentials

public UserCredentials()

## Method Details

### setLoadCredentialsStrategy

public static void setLoadCredentialsStrategy(LoadCredentialsStrategy strategy)

### loadCredentials

public static eu.emi.security.authn.x509.X509Credential loadCredentials()

### loadCredentials

public static eu.emi.security.authn.x509.X509Credential loadCredentials(char[] keyPassword)

### loadCredentials

public static eu.emi.security.authn.x509.X509Credential loadCredentials(eu.emi.security.authn.x509.helpers.PasswordSupplier passwordFinder)